# $Revision: 1.337 $, $Date: 2012/05/31 13:38:26 $
#
# Conditional build:
%bcond_without	pgsql	# without PostgreSQL support
%bcond_without	mysql	# without MySQL support
%bcond_without	sqlite	# without sqlite
%bcond_without	whoson	# without whoson support
%bcond_without	sasl	# without SASL
%bcond_without	ldap	# without LDAP support
%bcond_without	spf	# without spf support
%bcond_without	srs	# without srs support
%bcond_without	dynamic # dynamic modules
#
Summary:	University of Cambridge Mail Transfer Agent
Summary(pl.UTF-8):	Agent Transferu Poczty Uniwersytetu w Cambridge
Summary(pt_BR.UTF-8):	Servidor de correio eletrônico exim
Name:		exim
Version:	4.80
Release:	1
Epoch:		2
License:	GPL
Group:		Networking/Daemons/SMTP
Source0:	ftp://ftp.exim.org/pub/exim/exim4/%{name}-%{version}.tar.bz2
# Source0-md5:	de93a242e9e148de28d67056e5c1b34f
Source1:	ftp://ftp.exim.org/pub/exim/exim4/%{name}-html-%{version}.tar.bz2
# Source1-md5:	88a5d4a43c4ef2c96e31ce6ec4185e47
Source2:	%{name}.init
Source3:	%{name}.cron.db
Source4:	%{name}4.conf
Source5:	analyse-log-errors
Source6:	%{name}on.desktop
# 20021016: http://www.logic.univie.ac.at/~ametzler/debian/exim4manpages/
Source7:	%{name}4-man-021016.tar.bz2
# Source7-md5:	b552704ebf853a401946038a2b7e8e98
Source9:	%{name}.aliases
Source10:	newaliases
Source11:	%{name}.logrotate
Source12:	%{name}.sysconfig
Source13:	ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim4/FAQ.txt.bz2
# Source13-md5:	ff781bd31fb1d574c8b9d33f4bfd34a7
Source14:	ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim4/config.samples.tar.bz2
# Source14-md5:	4b93321938a800caa6127c48ad60a42b
Source15:	%{name}4-smtp.pamd
Source16:	%{name}on.png
Patch0:		%{name}4-EDITME.patch
Patch1:		%{name}4-monitor-EDITME.patch
Patch2:		%{name}4-cflags.patch
Patch4:		%{name}4-Makefile-Default.patch
# http://marc.merlins.org/linux/exim/files/sa-exim-cvs/localscan_dlopen_exim_4.20_or_better.patch
Patch5:		localscan_dlopen_%{name}_4.20_or_better.patch
#Patch6:		%{name}-bug-1056.patch
# http://sourceforge.net/projects/eximdsn/
Patch7:		%{name}_463_dsn_1_3.patch
Patch8:		%{name}-spam-timeout.patch
Patch9:		%{name}-dkim.patch
Patch10:	%{name}-force-sigalrm.patch
Patch11:	%{name}-bug-1057.patch
URL:		http://www.exim.org/
%{?with_sasl:BuildRequires:	cyrus-sasl-devel >= 2.1.0}
BuildRequires:	db-devel
%{?with_spf:BuildRequires:	libspf2-devel >= 1.2.5-2}
%{?with_srs:BuildRequires:	libsrs_alt-devel >= 1.0}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	pcre-devel
BuildRequires:	perl-devel >= 1:5.6.0
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_sqlite:BuildRequires:	sqlite3-devel}
%{?with_whoson:BuildRequires:	whoson-devel}
%if "%{pld_release}" != "ac"
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
%else
BuildRequires:	XFree86-devel
%endif
Requires(post):	/bin/hostname
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	findutils
Requires:	pam >= 0.79.0
Requires:	rc-scripts
Provides:	group(exim)
Provides:	smtpdaemon
Provides:	user(exim)
Obsoletes:	smtpdaemon
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Smail like Mail Transfer Agent with single configuration file.
Features: flexible retry algorithms, header & envelope rewriting,
multiple deliveries down single connection or multiple deliveries in
parallel, regular expressions in configuration parameters, file
lookups, supports sender and/or reciever verification, selective
relaying, supports virtual domains, built-in mail filtering and can be
configured to drop root privilleges when possible.

%description -l pl.UTF-8
Agent transferu poczty (MTA) z pojedynczym plikiem konfiguracyjnym.
Jego zalety: świetne algorytmy, możliwość przepisywania nagłówków &
koperty, wielokrotne dostarczanie poczty podczas jednego połączenia
lub równoległe dostarczanie poczty, wyrażenia regularne w parametrach
konfiguracyjnych, weryfikacja nadawcy i/lub odbiorcy, selektywne
relayowanie, wsparcie dla wirtualnych domen, wbudowany system filtrów,
możliwość odrzucania praw roota kiedy jest to możliwe.

%description -l pt_BR.UTF-8
O exim é um agente de transporte de correio eletrônico (MTA),
desenvolvido na Universidade de Cambridge para uso em sistemas Unix
conectados a Internet. Similar em estilo ao smail 3, suas facilidades
são mais extensivas e em particular ele tem opções para verificação do
remetente e destinatário, para recusar mensagens de máquinas, redes ou
remetentes específicos.

%package X11
Summary:	X11 based Exim administration tool
Summary(pl.UTF-8):	Narzędzia administracyjne exima dla X11
Summary(pt_BR.UTF-8):	Monitor X11 para o exim
Group:		X11/Applications

%description X11
X11 based monitor & administration utility for the Exim Mail Transfer
Agent.

%description X11 -l pl.UTF-8
Bazujące na X11 narzędzia dla Exima - monitor i program
administracyjny.

%description X11 -l pt_BR.UTF-8
O monitor exim é um suplemento opcional ao pacote exim. Ele mostra
informações sobre o processamento do exim em uma janela X11. O
administrador pode executar uma série de ações de controle a partir
desta interface.

%package devel
Summary:	Header files for Exim
Summary(pl.UTF-8):	Pliki nagłówkowe dla Exima
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for Exim.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla Exima.

%global	dynamic_type	yes
%{?with_dynamic:%global dynamic_type 2}

%prep
%setup -q -a1 -a7
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1
%patch7 -p1
%patch8 -p1
#%patch9 -p0
%patch10 -p1
%patch11 -p1

install %{SOURCE13} doc/FAQ.txt.bz2
install %{SOURCE14} doc/config.samples.tar.bz2

install -d Local
cat << 'EOF' >> Local/Makefile-Linux
CC=%{__cc}
CUSTOM_CFLAGS=%{rpmcppflags} %{rpmcflags}
CFLAGS_DYNAMIC=-shared -rdynamic -fPIC %{rpmldflags}
LOOKUP_CDB=yes
XLFLAGS=-L%{_prefix}/X11R6/%{_lib}
X11_LD_LIB=%{_prefix}/X11R6/%{_lib}
%{?with_dynamic:LOOKUP_MODULE_DIR=%{_libdir}/%{name}/modules}
SUPPORT_DSN=yes
%{?with_spf:EXPERIMENTAL_SPF=yes}
%{?with_srs:EXPERIMENTAL_SRS=yes}
%if %{with mysql}
LOOKUP_MYSQL=%{dynamic_type}
# for dynamic
LOOKUP_MYSQL_INCLUDE=-I%{_includedir}/mysql
LOOKUP_MYSQL_LIBS=-lmysqlclient
# for static
LOOKUP_INCLUDE+=-I%{_includedir}/mysql
LOOKUP_LIBS+=-lmysqlclient
%endif
%if %{with pgsql}
LOOKUP_PGSQL=%{dynamic_type}
# for dynamic
LOOKUP_PGSQL_INCLUDE=-I%{_includedir}/pgsql
LOOKUP_PGSQL_LIBS=-lpq
# for static
LOOKUP_INCLUDE+=-I%{_includedir}/pgsql
LOOKUP_LIBS+=-lpq
%endif
%if %{with sqlite}
LOOKUP_SQLITE=%{dynamic_type}
# for dynamic
LOOKUP_SQLITE_LIBS=-lsqlite3
# for static
LOOKUP_LIBS+=-lsqlite3
%endif
%if %{with whoson}
LOOKUP_WHOSON=%{dynamic_type}
# for dynamic
LOOKUP_WHOSON_LIBS=-lwhoson
# for static
LOOKUP_LIBS+=-lwhoson
%endif
%{?with_sasl:AUTH_CYRUS_SASL=yes}
%if %{with ldap}
LOOKUP_LDAP=%{dynamic_type}
LDAP_LIB_TYPE=OPENLDAP2
# for dynamic
LOOKUP_LDAP_LIBS=-lldap -llber
# for static
LOOKUP_LIBS+=-lldap -llber
%endif
LOOKUP_LIBS+=%{?with_spf:-lspf2} %{?with_srs:-lsrs_alt} %{?with_sasl:-lsasl2}
EOF

# have to be after Local/Makefile-Linux creation
cp -f src/EDITME Local/Makefile
cp -f exim_monitor/EDITME Local/eximon.conf

%build
%{__make} -e -j1 \
	FULLECHO=''

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/mail
install -d $RPM_BUILD_ROOT/etc/{cron.{daily,weekly},logrotate.d,rc.d/init.d,sysconfig,pam.d,security}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man8,/usr/lib}
install -d $RPM_BUILD_ROOT%{_var}/{spool/exim/{db,input,msglog},log/{archive,}/exim,mail}
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/modules

install build-Linux-*/exim{,_fixdb,_tidydb,_dbmbuild,on.bin,_dumpdb,_lock} \
	build-Linux-*/exi{cyclog,next,what} %{SOURCE10} \
	build-Linux-*/{exigrep,eximstats,exiqsumm,convert4r4} \
	util/unknownuser.sh \
	$RPM_BUILD_ROOT%{_bindir}
install build-Linux-*/eximon.bin $RPM_BUILD_ROOT%{_bindir}
install build-Linux-*/eximon $RPM_BUILD_ROOT%{_bindir}
%{?with_dynamic:install build-Linux-*/*/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}/modules}

install %{SOURCE5} .
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.weekly
install %{SOURCE12} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install	%{SOURCE11} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/mail/exim.conf
install {doc,man}/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/mail/aliases
install %{SOURCE15} $RPM_BUILD_ROOT/etc/pam.d/smtp

ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/sendmail
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT/usr/lib/sendmail
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/mailq
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/rsmtp
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/rmail
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/runq

install %{SOURCE6} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE16} $RPM_BUILD_ROOT%{_pixmapsdir}

install -d $RPM_BUILD_ROOT%{_includedir}/%{name}
install src/{local_scan,store,mytypes}.h $RPM_BUILD_ROOT%{_includedir}/%{name}
install build-Linux-*/config.h $RPM_BUILD_ROOT%{_includedir}/%{name}

touch $RPM_BUILD_ROOT%{_var}/log/exim/{main,reject,panic,process}.log

touch $RPM_BUILD_ROOT/etc/security/blacklist.smtp

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 79 exim
%useradd -u 79 -d /var/spool/exim -s /bin/false -c "Exim pseudo user" -g exim exim

%post
umask 022
/sbin/chkconfig --add %{name}
%service %{name} restart "exim daemon"

if [ ! -f /etc/mail/mailname ]; then
	rm -f /etc/mail/mailname && hostname -f > /etc/mail/mailname
fi
newaliases

%preun
if [ "$1" = "0" ]; then
	%service exim stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove exim
	%groupremove exim
fi

%files
%defattr(644,root,root,755)
%doc README* NOTICE LICENCE analyse-log-errors doc/{ChangeLog,NewStuff,dbm.discuss.txt,filter.txt,spec.txt,Exim*.upgrade,OptionLists.txt,experimental-spec.txt} build-Linux-*/transport-filter.pl
%doc exim-html-*/doc/html
%dir %{_sysconfdir}/mail
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/exim.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mail/aliases
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/exim
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/exim
%attr(754,root,root) /etc/rc.d/init.d/exim
%attr(4755,root,root) %{_bindir}/exim
%attr(770,root,exim) %dir %{_var}/spool/exim
%attr(750,exim,exim) %dir %{_var}/spool/exim/db
%attr(700,exim,root) %dir %{_var}/spool/exim/input
%attr(750,exim,root) %dir %{_var}/spool/exim/msglog
%attr(755,root,root) %{_bindir}/exim_*
%attr(755,root,root) %{_bindir}/exinext
%attr(755,root,root) %{_bindir}/exiwhat
%attr(755,root,root) %{_bindir}/exicyclog
%attr(755,root,root) %{_bindir}/exigrep
%attr(755,root,root) %{_bindir}/eximstats
%attr(755,root,root) %{_bindir}/exiqsumm
%attr(755,root,root) %{_bindir}/unknownuser.sh
%attr(755,root,root) %{_bindir}/newaliases
%attr(755,root,root) %{_bindir}/convert4r4
%attr(755,root,root) %{_sbindir}/mailq
%attr(755,root,root) %{_sbindir}/rmail
%attr(755,root,root) %{_sbindir}/rsmtp
%attr(755,root,root) %{_sbindir}/runq
%attr(755,root,root) %{_sbindir}/sendmail
%attr(755,root,root) /usr/lib/sendmail
%attr(754,root,root) /etc/cron.weekly/exim.cron.db
%attr(750,exim,root) %dir %{_var}/log/exim
%attr(750,exim,root) %dir %{_var}/log/archive/exim
%attr(640,exim,root) %ghost %{_var}/log/exim/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/smtp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.smtp
%if %{with dynamic}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%{?with_mysql:%attr(755,root,root) %{_libdir}/%{name}/modules/mysql.so}
%{?with_pgsql:%attr(755,root,root) %{_libdir}/%{name}/modules/pgsql.so}
%{?with_sqlite:%attr(755,root,root) %{_libdir}/%{name}/modules/sqlite.so}
%{?with_whoson:%attr(755,root,root) %{_libdir}/%{name}/modules/whoson.so}
%endif
%{_mandir}/man8/*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/eximon
%attr(755,root,root) %{_bindir}/eximon.bin
%{_desktopdir}/eximon.desktop
%{_pixmapsdir}/eximon.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exim.spec,v $
Revision 1.337  2012/05/31 13:38:26  arekm
- up to 4.80

Revision 1.336  2012/05/02 12:24:53  glen
- /usr/lib/sendmail should not be macroized

Revision 1.335  2012/03/29 17:26:33  baggins
- rel 5
- fix logrotate permissions (according to successfull user)

Revision 1.334  2012/03/28 07:25:50  arekm
- release 4

Revision 1.333  2012/02/05 10:57:06  baggins
- rel 3
- logrotate 3.8.0 requires "su" option for non-root writable dirs

Revision 1.332  2011/10/21 07:02:41  arekm
- rel 2; add av loadbalancing (upstream bug 1057)

Revision 1.331  2011/10/12 17:36:42  arekm
- up to 4.77

Revision 1.330  2011/09/24 11:46:29  arekm
- define LOOKUP_MODULE_DIR only if dynamic mode is enabled

Revision 1.329  2011/09/16 07:01:05  arekm
- rel 3; revert previous, non-dynamic needs more work

Revision 1.328  2011/09/16 06:42:34  arekm
- rel 2; disable dynamic modules (built them statically); we'll back to dynamic if we decide to split exim into subpackages

Revision 1.327  2011/05/13 19:14:30  arekm
- up to 4.76; fixes CVE-2011-1764 and some other minor bugs

Revision 1.326  2011/05/06 12:17:42  marti
- added patch resolving CVE-2011-1764 (remote vulnerability in DKIM)

Revision 1.325  2011/04/20 08:48:15  marti
- up to 4.75
- removed exim-bug-1056.patch, cause it is already included in 4.75

Revision 1.324  2011/03/31 18:11:15  arekm
- release 2

Revision 1.323  2011/01/26 19:47:05  arekm
- up to 4.74 (lookup types like mysql/pgsql are now in separate .so files)

Revision 1.322  2011/01/06 13:14:09  arekm
- up to 4.73; add better spamd loadbalance patch; drop noloadbalance patch

Revision 1.321  2010/12/16 14:30:01  zagrodzki
add config.h to the list of installed header files.

Revision 1.320  2010/12/13 13:45:45  glen
- release 4

Revision 1.319  2010/12/13 13:33:53  glen
- ac deps

Revision 1.318  2010/10/13 10:43:46  arekm
- rel 3; allow disable_fsync option to be used

Revision 1.317  2010/06/05 22:50:41  arekm
- release 2

Revision 1.316  2010/06/03 14:29:42  sparky
- proper source0 md5

Revision 1.315  2010/06/03 14:26:38  arekm
- up to 4.72; info files no longer available upstream; fixes CVE-2010-2023

Revision 1.314  2010/05/28 05:25:37  arekm
- release 5

Revision 1.313  2010/05/12 14:45:29  baggins
- rel 4
- more desktop categories

Revision 1.312  2010/04/11 17:04:02  arekm
- release 3

Revision 1.311  2009/12/17 11:30:31  arekm
- rel 2; dkim fixes/updates from cvs

Revision 1.310  2009/11/25 09:12:11  arekm
- up to 4.71

Revision 1.309  2009/11/14 09:04:42  arekm
- up to 4.70

Revision 1.308  2009/09/12 11:09:40  radek
- release 10: strict DynaLoader dep no longer required

Revision 1.307  2009/06/07 09:38:38  arekm
- rel 9; protect against systems that leak SIGALRM (unknown reason for that)

Revision 1.306  2009/04/30 19:45:05  arekm
- release 8

Revision 1.305  2009/04/30 19:41:15  arekm
- always enable FULLECHO; add rpmcppflags

Revision 1.304  2009/04/30 18:48:32  arekm
- rel 7; add fixes from cvs

Revision 1.303  2009/04/11 22:27:19  arekm
- release 6

Revision 1.302  2009/01/14 14:29:30  arekm
- release 5

Revision 1.301  2008/11/12 20:43:17  arekm
- release 4

Revision 1.300  2008/10/25 15:24:47  blues
- SMTP group

Revision 1.299  2008/06/12 19:42:20  arekm
- rel 3

Revision 1.298  2008-02-08 14:38:35  arekm
- rel 2

Revision 1.297  2008-01-11 08:23:05  arekm
- up to 4.69

Revision 1.296  2007-11-14 14:05:12  patrys
- rel++ for new mysql

Revision 1.295  2007-11-03 12:21:00  baggins
- rel 2

Revision 1.294  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.293  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.292  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.291  2007/08/30 17:51:12  arekm
- up to 4.68

Revision 1.290  2007/08/06 10:07:04  patrys
- drop mutual obsoletes
- rel up

Revision 1.289  2007/07/26 17:02:25  arekm
- rel 6; rebuild with new db4.6

Revision 1.288  2007/07/22 13:19:44  qrczak
- Removed the trigger for config file conversion: it triggers when not
  needed (when upgrading from exim 4) and corrupts the config file.

Revision 1.287  2007/07/20 11:38:05  twittner
- added `BR: xorg-lib-libXaw-devel' for building eximon

Revision 1.286  2007/07/13 20:37:34  arekm
- don't provide /usr/lib/sendmail. It's already provides; see rpm -q --fileprovide.

Revision 1.285  2007/07/13 20:19:00  arekm
- rel 4

Revision 1.284  2007/07/13 18:30:37  twittner
- added Provides: /usr/lib/sendmail
- rel. up

Revision 1.283  2007/06/12 08:18:46  arekm
- rel 2; important bugfix for tidying exim databases from cron

Revision 1.282  2007/04/26 11:09:44  arekm
- up to 4.67

Revision 1.281  2007/04/02 16:59:44  baggins
- rel 4

Revision 1.280  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.279  2007/03/27 16:00:36  baggins
- unify blacklists for pam configs

Revision 1.278  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.277  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.276  2007/02/06 14:36:36  arekm
- fix bug 461

Revision 1.275  2007/01/10 04:06:07  shadzik
- up to 4.66

Revision 1.274  2006/12/21 15:51:21  arekm
- up to 4.64

Revision 1.273  2006/12/08 18:27:38  wrobell
- rel. 5

Revision 1.272  2006/12/07 15:53:53  wrobell
- rel. 4 to rebuild with postgresql 8.2

Revision 1.271  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.270  2006/09/21 09:48:03  glen
- findutils dep due changes in exim.cron.db

Revision 1.269  2006/09/21 09:17:54  arekm
- updated dns patch

Revision 1.268  2006/08/07 19:57:54  arekm
- up to 4.63

Revision 1.267  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.266  2006/06/08 08:21:20  arekm
- rel 3; increase spam timeout to 15s

Revision 1.265  2006/05/18 06:43:06  arekm
- rel 2; include DSN support

Revision 1.264  2006/05/02 22:19:39  areq
- 4.62

Revision 1.263  2006/04/05 08:06:49  arekm
- rel 2; fix negation in ACLs

Revision 1.262  2006/04/04 16:45:35  arekm
- up to 4.61

Revision 1.261  2006/03/27 12:41:43  glen
- rel 6 (libmysqlclient_15)

Revision 1.260  2006/02/27 23:00:10  glen
- use %service

Revision 1.259  2006/02/17 19:22:28  arekm
- don't overwrite exim cflags (largefile support)

Revision 1.258  2006/01/17 15:53:09  baggins
- release 4
- BR openldap 2.3

Revision 1.257  2005/12/22 15:21:02  pluto
- release 3 for rebuild with new ldap.

Revision 1.256  2005/12/21 11:22:21  arekm
- rel 2; back to original names for info files.

Revision 1.255  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.254  2005/12/04 14:49:27  arekm
- rel 1; texinfo patch dropped (texinfo file is now autogenerated from xml file so fixing translation tool should be done instead of fixing symptoms (if there is still need for that)).

Revision 1.253  2005/11/30 19:15:47  qboosh
- BR: texinfo >= 4.7 (for @comma)

Revision 1.252  2005/11/28 19:01:59  arekm
- enable sqlite lookup

Revision 1.251  2005/11/28 13:09:44  adamg
- updated to 4.60
- documentation updated ro 4.60
- commented out -texinfo.patch (not sure about it)
- release 0.9; builds, testing

Revision 1.250  2005/11/25 21:06:02  arekm
- rel 3; ability to turn-off spamd loadbalancing and just use fallback

Revision 1.249  2005/10/27 17:39:41  arekm
- rel 2

Revision 1.248  2005/10/08 17:15:14  arekm
- up to 4.54

Revision 1.247  2005/09/29 19:29:44  arekm
- up to 4.53

Revision 1.246  2005/09/02 18:13:13  qboosh
- pl for -devel

Revision 1.245  2005/09/01 16:54:16  arekm
- drop sa-exim from exim.spec; new sa-exim.spec as local_scan plugin

Revision 1.244  2005/09/01 15:48:56  arekm
- add devel subpackage for local_scan modules; add dlopened local_scan modules support

Revision 1.243  2005/07/28 12:38:21  hawk
- release 3 (2 went to Ra)

Revision 1.242  2005/07/02 07:08:13  jack
- Rel 1 is for Ra, 2 for Ac

Revision 1.241  2005/07/01 19:03:29  arekm
- up to 4.52

Revision 1.240  2005/06/25 14:25:42  arekm
- use shared libdomainkeys

Revision 1.239  2005/06/25 13:10:10  arekm
- enable domainkeys support

Revision 1.238  2005/05/22 15:12:19  areq
- fix md5

Revision 1.237  2005/05/12 13:13:12  baggins
- release 2
- req pam 0.79

Revision 1.236  2005/05/05 15:58:56  arekm
- up to 4.41

Revision 1.235  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.234  2005/03/26 20:48:29  adamg
- better english

Revision 1.233  2005/03/06 10:41:46  glen
- fixed %banner usage

Revision 1.232  2005/03/05 00:08:42  kosmo
- distfiles error !? - regenerated md5sums

Revision 1.231  2005/03/04 23:27:54  kosmo
- updated sa-exim to version 4.2

Revision 1.230  2005/02/18 23:54:31  arekm
- update to 4.50

Revision 1.229  2005/02/12 19:50:02  arekm
- rel ++

Revision 1.228  2005/02/05 12:13:24  qboosh
- one more

Revision 1.227  2005/02/05 12:10:52  qboosh
- unified, killed /usr/X11R6 prefix in -X11

Revision 1.226  2005/02/04 14:22:09  pzurowski
- BR: rpmbuild(macros) >= 1.176 due to:
- %banner support

Revision 1.225  2005/01/15 22:30:57  areq
- fix md5

Revision 1.224  2005/01/14 23:07:56  areq
- 4.44
- exiscan 4.44-28

Revision 1.223  2005/01/07 23:46:50  radzio
- rel 6 (STBR for test)
- Patch6 based on http://www.exim.org/mail-archives/exim-announce/2005/msg00000.html

Revision 1.222  2005/01/07 23:38:57  radzio
- add Patch6 to address CAN-2005-0021
- STBR for test

Revision 1.221  2004/11/20 16:23:23  radek
- release 5: require DynaLoader in version available at build time

Revision 1.220  2004/10/26 09:51:43  areq
- remove * from sbin

Revision 1.219  2004/10/25 11:53:13  qboosh
- attr() format unification

Revision 1.218  2004/10/25 11:52:35  arekm
- rel4

Revision 1.217  2004/10/25 11:50:59  arekm
- exim.conf can contain passwords, change mode to 640

Revision 1.216  2004/10/23 17:42:15  havner
- /etc/mail dir added
- rel 3

Revision 1.215  2004/10/16 20:40:35  ankry
- %userremove/%groupremove support, some unification

Revision 1.214  2004/10/07 14:01:34  arekm
- rel2; enable sasl support

Revision 1.213  2004/10/07 10:39:05  arekm
- rel 1; enabled realine

Revision 1.212  2004/10/07 10:23:44  arekm
- patch 6 no longer needed

Revision 1.211  2004/10/07 10:18:51  arekm
- started update

Revision 1.210  2004/09/21 13:15:17  arekm
- faster lookups when there is no passwd entry for specified pid

Revision 1.209  2004/09/13 18:19:14  ankry
- pamd file for amd64 fix by Marcin Sztolcman

Revision 1.208  2004/08/27 10:53:42  areq
- exim 4.42
- exiscan_version 4.42-27

Revision 1.207  2004/08/21 20:08:24  havner
- R(post) hostname

Revision 1.206  2004/08/18 15:30:00  areq
- fix md5 ;/

Revision 1.205  2004/08/18 15:25:04  areq
- exiscan_version 4.41-25

Revision 1.204  2004/08/09 16:28:20  havner
- rel 5

Revision 1.203  2004/08/09 08:48:13  marcus
- fixed /etc/pam.d/smtp

Revision 1.202  2004/08/02 20:41:21  averne
- rel 4 for Ac

Revision 1.201  2004/07/28 19:36:29  arekm
- rel 3; add SRS support; use libspf2 instead of spf_alt for SPF

Revision 1.200  2004/07/23 08:36:46  jack
-rel 2 for AC coz 1 is for RA ;)

Revision 1.199  2004/07/22 15:17:21  areq
- exim 4.41
- exiscan 4.41-24

Revision 1.198  2004/07/16 22:40:55  baseciq
- udpated exim.conf (with this one from 4.40)

Revision 1.197  2004/07/16 13:30:24  areq
- exim-texinfo-4.40

Revision 1.196  2004/07/16 12:54:32  areq
- exim 4.40
- exiscan_version 4.40-23

Revision 1.195  2004/06/18 22:44:48  arekm
- fix pid path

Revision 1.194  2004/05/26 13:31:16  arekm
- chicken change

Revision 1.193  2004/05/26 12:29:20  areq
- exiscan_version 4.34-22
- SPF support (bcond default without)

Revision 1.192  2004/05/11 16:25:34  arekm
- and drop parallel build patch

Revision 1.191  2004/05/11 15:38:37  arekm
- disable parallel make - it's not supported and never be in exim

Revision 1.190  2004/05/10 15:16:27  areq
- fix

Revision 1.189  2004/05/10 14:57:20  areq
- exim 4.34
- exiscan_version 4.34-21

Revision 1.188  2004/05/09 05:22:00  ankry
- BR fixes, rel. 2

Revision 1.187  2004/05/05 14:24:15  areq
- exim 4.33
- exiscan_version 4.33-20

Revision 1.186  2004/04/27 19:31:37  areq
- exiscan_version 4.32-19

Revision 1.185  2004/04/21 10:16:48  areq
- exiscan_version 4.32-18

Revision 1.184  2004/04/15 14:58:51  areq
- fix md5

Revision 1.183  2004/04/15 14:51:00  areq
- exim 4.32
- exiscan_version 4.32-17

Revision 1.182  2004/04/08 08:46:52  baseciq
- diffrent rel for coexistence with head

Revision 1.181  2004/03/30 18:58:07  areq
- exim 4.31, exiscan_version 4.31-16

Revision 1.180  2004/03/19 23:46:25  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.179  2004/03/16 14:18:36  averne
- rel7 for rebuild with new openldap

Revision 1.178  2004/03/12 09:55:31  averne
- rel 6 for rebuild with fixed exim.conf

Revision 1.177  2004/03/02 21:04:53  areq
- exiscan_version 4.30-16

Revision 1.176  2004/02/25 21:37:04  blues
- obsoletes ssmtp

Revision 1.175  2004/02/25 21:34:34  blues
- obsoletes nullmailer

Revision 1.174  2004/02/25 16:33:27  andree
- rel. 4 to rebuild with ac

Revision 1.173  2004/02/24 20:56:40  blues

- obsoletes courier

Revision 1.172  2004/02/15 01:31:35  eothane
- few cosmetics

Revision 1.171  2004/02/15 01:14:21  baseciq
- added proper path to sa config file (/etc/mail/spamassassin/local.cf)

Revision 1.170  2004/01/28 13:27:37  jajcus
- Release: 3

Revision 1.169  2004/01/08 18:31:24  kosmo
- added sa-exim support

Revision 1.168  2004/01/01 17:50:47  jajcus
- no tricks with /usr/lib - adapter.awk is already fixed

Revision 1.167  2004/01/01 09:41:18  jajcus
- %{_libdir}/sendmail changed to %{_prefix}/lib/sendmail
  (which is more adapter-safe than /usr/lib/sendmail)

Revision 1.166  2003/12/28 17:08:17  jajcus
- AMD64 fixes (/usr/X11R6/%{_lib} passwd to make)

Revision 1.165  2003/12/03 09:06:55  areq
- exiscan_version 4.30-14

Revision 1.164  2003/12/02 21:16:36  areq
- update config.samples.tar.bz2 and FAQ.txt.bz2

Revision 1.163  2003/12/02 21:08:14  areq
- exim 4.30
- exiscan_version 4.30-13

Revision 1.162  2003/12/02 15:58:33  mmazur
- rel 6 to rebuild with new db

Revision 1.161  2003/11/13 13:55:20  eothane
- %bcond_with new_bconds

Revision 1.160  2003/10/23 19:28:29  arekm
- updated exiscan to 4.24-13 (fixed problems with double mime headers)

Revision 1.159  2003/10/15 15:48:22  arekm
- switch back to official exiscan (rel4)

Revision 1.158  2003/10/05 02:55:05  domelu
- cosmetics

Revision 1.157  2003/10/01 17:11:57  eothane
- changelog cut

Revision 1.156  2003/10/01 07:26:09  qboosh
- fixed double "c" addition

Revision 1.155  2003/09/30 20:18:22  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.154  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.153  2003/09/29 17:39:02  adgor
- Added icon for eximon.desktop
- Desktop file moved to %{_desktopdir}

Revision 1.152  2003/09/26 14:22:53  baggins
- release 2

Revision 1.151  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.150  2003/09/25 18:14:50  gotar
- do not require applnk, programs _using_ %{_applnk}/* do require it.

Revision 1.149  2003/09/23 08:10:13  arekm
- /var/mail removed from here (it belongs to FHS)
  changed local delivery to work with mail group

Revision 1.148  2003/09/23 01:36:03  arekm
- really apply exiscan patch

Revision 1.147  2003/09/22 19:04:56  arekm
- updated to 4.24

Revision 1.146  2003/09/04 10:18:58  arekm
- updated exiscan to 4.22-12

Revision 1.145  2003/09/02 16:11:03  areq
- exiscan_version 4.22-11

Revision 1.144  2003/08/18 22:18:41  arekm
- update exiscan patch, too

Revision 1.143  2003/08/18 15:41:17  arekm
- updated to 4.22

Revision 1.142  2003/08/18 08:08:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.141  2003/08/17 22:05:15  arekm
- fix improper errno usage

Revision 1.140  2003/08/14 22:39:04  arekm
- updated to 4.21

Revision 1.139  2003/08/11 20:44:54  ankry
- cosmetics

Revision 1.138  2003/08/11 10:56:52  areq
- exiscan patch now is source

Revision 1.137  2003/08/11 10:42:32  arekm
- updated exiscan to -10

Revision 1.136  2003/07/30 23:12:05  aredridel
- added DSEARCH (no new dependencies)

Revision 1.135  2003/07/09 01:06:30  baseciq
- added missing doc: README.saslauthd.txt

Revision 1.134  2003/07/09 01:03:50  baseciq
- added patch with supports cyrus-saslauthd (NOT for pwcheck, provided
  by cyrus-sasl-saslauthd-1.5.27, but for saslauthd)
- added /etc/pam.d/smtp required to correct authentication (taken from
  /usr/share/doc/cyrus-sasl-saslauthd/cyrus.pam.gz) - as it done in
  sendmail.spec
- please do not merge this changes to RA-branch-exim4 ;-)

Revision 1.133  2003/06/13 15:55:50  ankry
- too many md5s

Revision 1.132  2003/06/12 10:06:02  arekm
- updated exiscan to 09

Revision 1.131  2003/06/06 11:33:05  qboosh
- simplified setup

Revision 1.130  2003/06/05 08:49:21  malekith
- man-blabla is source 7 not 8

Revision 1.129  2003/06/02 15:43:06  arekm
- use new exiscan (ACL version)

Revision 1.128  2003/05/28 12:58:54  malekith
- massive attack: source-md5

Revision 1.127  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.126  2003/05/25 05:47:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.125  2003/05/17 07:12:55  pascalek
- revert user changes

Revision 1.124  2003/05/15 21:37:11  trojan
- epoch 2 is back

Revision 1.123  2003/05/14 19:09:11  misi3k
- rel 1
- updated to 4.20
- exiscan uptated to 4.20-26
- exim-texinfo updated to 4.20

Revision 1.122  2003/05/10 09:50:55  pascalek
- Req user-exim

Revision 1.121  2003/05/04 14:27:06  radek
- do not BR: perl

Revision 1.120  2003/04/17 18:27:40  jack
- lost in tags

Revision 1.119  2003/04/17 17:47:40  jack
- moved --with db3 bcond to RA-branch-exim4 and proper version of openssl used.

Revision 1.118  2003/04/10 14:41:37  jack
- Add bcond --with db3 (it works on RA)

Revision 1.117  2003/03/15 21:01:34  areq
- default build with exiscan

Revision 1.116  2003/03/12 12:30:04  areq
- 4.14, STBR
- exiscan_version 4.14-26

Revision 1.115  2003/03/11 23:39:46  baseciq
- forgot about local change with br: openssl

Revision 1.114  2003/03/11 23:36:49  baseciq
- very little typo

Revision 1.113  2003/03/10 14:24:41  areq
- exiscan_version 4.12-26

Revision 1.112  2003/02/28 15:13:07  areq
- exiscan_version 4.12-25

Revision 1.111  2003/02/24 09:02:24  areq
- exiscan_version 4.12-24

Revision 1.110  2003/02/18 14:13:56  areq
- exiscan_version 4.12-23a
- release 8

Revision 1.109  2003/02/13 14:02:04  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.108  2003/02/13 13:57:10  areq
- exiscan_version 4.12-23

Revision 1.107  2003/01/20 21:24:28  baseciq
- exiscan 4.12-21
- rel 6

Revision 1.106  2003/01/05 13:16:17  misiek
- rebuild

Revision 1.105  2002/12/29 21:18:43  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.104  2002/12/19 13:55:24  areq
- exiscan_version 4.12-20

Revision 1.103  2002/12/18 11:06:54  areq
- 4.12 bug-fix release, STBR

Revision 1.102  2002/12/12 22:04:26  areq
- add search.patch - fix dbm lookups
- Release 3

Revision 1.101  2002/12/12 19:59:57  areq
- exiscan_version 4.11-19
- move EXIM_4 to HEAD

Revision 1.84.2.16  2002/12/11 15:44:49  areq
- 4.11
- exiscan_version 4.11-18

Revision 1.84.2.15  2002/10/19 21:16:52  areq
- add exiscan (4.10-16) support (--with exiscan)
- add man from http://www.logic.univie.ac.at/~ametzler/debian/exim4manpages/
- release 3, STBR

Revision 1.84.2.14  2002/09/28 21:25:27  areq
- fix BuildRequires

Revision 1.84.2.13  2002/09/28 19:14:09  areq
- fix build
- Release 2, STBR

Revision 1.84.2.12  2002/07/22 14:49:55  areq
- 4.10
- update config.samples, FAQ
- new %doc

Revision 1.84.2.11  2002/04/18 15:08:59  areq
- 4.04
- remove ipv6 patch

Revision 1.84.2.10  2002/04/16 11:39:34  trojan
- added patch (there's is no getipnode{addr,name} ipv6's functions)

Revision 1.84.2.9  2002/04/16 11:05:37  trojan
- updated to 4.03

Revision 1.84.2.8  2002/04/09 16:53:03  misiek
- epoch 2

Revision 1.84.2.7  2002/04/09 16:52:41  misiek
- epoch 1

Revision 1.84.2.6  2002/04/05 08:18:07  trojan
- merged with rev. 1.91

Revision 1.84.2.5  2002/03/10 16:01:30  areq
- up to 4.01
- add simple triggerpostun - convert old exim.conf to exim 4.x format

Revision 1.84.2.4  2002/03/03 00:08:27  areq
- add /usr/bin/convert4r4 and doc/Exim4.upgrade
- change FAQ.txt config.samples to bz2

Revision 1.84.2.3  2002/03/02 23:38:59  areq
- adaptarized

Revision 1.84.2.2  2002/03/02 23:30:50  areq
- update to 4.00

Revision 1.84.2.1  2002/02/06 11:45:08  areq
- start EXIM_4 branch
- update to 3.953
- update patches
